#

Function FLOATP

Syntax:

floatp object

generalized-boolean

Arguments and Values:

object---an object.

generalized-boolean---a generalized boolean.

Description:

Returns true if object is of type float; otherwise, returns false.

Examples:

     (floatp 1.2d2) =>  true
     (floatp 1.212) =>  true
     (floatp 1.2s2) =>  true
     (floatp (expt 2 130)) =>  false

Side Effects: None.

Affected By: None.

Exceptional Situations: None.

See Also: None.

Notes:

     (floatp object) ==  (typep object 'float)

Copyright 1996-2005, LispWorks Ltd. All rights reserved.